@use "sass:list"
$wertA: 01px 11px 99px 11px 22px 33px 44px 01px 11px 22px 33px 44px 55px 66px 77px 35px 22px 33px 11px 22px 33px 44px 22px 03px 11px 55px 55px 66px 77px 88px 33px 44px 01px 11px 44px 55px 66px 77px 66px 77px 88px 90px 42px 55px 71px 56px 01px 11px 99px 11px 
$wertB: 78px 90px 25px 66px 77px 66px 77px 88px 90px 55px 77px 35px 88px 23px 99px 77px 88px 95px 55px 66px 55px 66px 77px 88px 92px 31px 42px 43px 84px 15px 06px 67px 81px 89px 20px 42px 55px 71px 88px 00px 89px 55px 23px 37px 15px 20px 42px 55px 71px 88px  
$wertC: 31px 42px 43px 84px 15px 06px 67px 81px 89px 20px 42px 55px 71px 88px 00px 89px 55px 23px 37px 15px 20px 42px 55px 71px 88px 55px 55px 66px 77px 88px 33px 24px 01px 11px 44px 55px 66px 77px 56px 77px 88px 90px 42px 55px 71px 88px 01px 11px 99px 11px 
$wertD: 55px 55px 66px 77px 88px 33px 44px 01px 11px 44px 39px 66px 77px 66px 77px 88px 90px 42px 73px 71px 88px 01px 11px 99px 11px 01px 11px 99px 11px 22px 33px 47px 01px 11px 22px 33px 44px 55px 66px 71px 38px 22px 33px 11px 22px 33px 44px 22px 03px 11px
$leftList: 7% 17% 25% 33% 41% 49% 58% 65% 73% 80% 87% 95% 
$dimensionList: 12px 45px 54px 98px 43px 59px 36px 64px 34px 43px 26px 40px 
$annimationDelayList: -21s -15s 1s -7s 3s 12s 5s 5s 8s 4s 2s 0.3s 
$annimationDuratioList: 3s 17s 13s 31s 22s 15s 16s 17s 33s 23s 34s 22s
[bubble="dark"]  
  --dynamicABackground: #8a0303 
  --dynamicBBackground: yellow
  --dynamicCBackground: blue
  --dynamicDBackground: green
  --dynamicEBackground: #7FFF00
  --dynamicFBackground: #FF00FF
  --dynamicGBackground: #191970
  --dynamicHBackground: #00FF7F
  --dynamicIBackground: #FF8C00
  --AAoppositeColor: green

[bubble="light"]  
  --dynamicABackground: white
  --dynamicBBackground: rgb(240, 255, 255 )
  --dynamicCBackground: rgb(240, 255, 255 )
  --dynamicDBackground: rgb(240, 255, 255 )
  --dynamicEBackground: #FFFFFF
  --dynamicFBackground: #FFFFFF
  --dynamicGBackground: #FFFAFA
  --dynamicHBackground: #F0FFF0
  --dynamicIBackground: #F5FFFA
  --AAoppositeColor: red

.bubbleAll
  visibility: var(--reVisbilityState)
  visibility: var(--visibilityBubbleOuter)
  position: absolute
  border-radius: 50%
  opacity: 0.3
  overflow: hidden  
  z-index: random(5)-6
  bottom: -16%
  animation: bubbleAnimation ease-in-out infinite
  sideWays: 4s ease-in-out infinite

@for $i from 1 through 12
  .bubble--#{$i}
    height: list.nth($dimensionList, $i)
    width: list.nth($dimensionList, $i) 
    left: list.nth($leftList, $i)
    animation-delay: list.nth($annimationDelayList, $i)
    animation-duration: list.nth($annimationDuratioList, $i)
    z-index: random(7)-8
    background-color: var(--dynamicGBackground)
@for $i from 1 through 9
  .bubbleEven--#{$i}
    height: list.nth($wertA, $i)
    width: list.nth($wertA, $i)
    left: random(1480) + px
    animation-delay: random(20) - 5 + s
    animation-duration: random(35) +6 + s
    background-color: var(--dynamicIBackground)
    &:hover
      background: white
      opacity: 1
@for $i from 10 through 19
  .bubbleEven--#{$i}
    background-color: var(--dynamicBBackground)
    z-index: random(4)-3
    height: list.nth($wertC, $i)
    width: list.nth($wertC, $i)
    left: random(1480) + px
    animation-delay: random(16) - 5 + s
    animation-duration: random(24) +16 + s
    &:hover
      background: #234234
      opacity: 1
      animation: pause
@for $i from 20 through 24
  .bubbleEven--#{$i}
    background-color: var(--dynamicCBackground)
    height: list.nth($wertA, $i)
    width: list.nth($wertA, $i)
    left: random(1480) + px
    animation-delay: random(20) - 5 + s
    animation-duration: random(35) +6 + s
@for $i from 25 through 29
  .bubbleEven--#{$i}
    background-color: var(--dynamicDBackground)
    height: list.nth($wertC, $i)
    width: list.nth($wertC, $i)
    left: random(1480) + px
    animation-delay: random(10) - 5 + s
    animation-duration: random(45) + 7 + s
@for $i from 30 through 39
  .bubbleEven--#{$i}
    height: list.nth($wertB, $i)
    background: var(--dynamicEBackground-color)
    width: list.nth($wertB, $i)
    left: random(1480) + px
    animation-delay: random(10) - 10 + s
    animation-duration: random(55) + 3 + s
@for $i from 40 through 49
  .bubbleEven--#{$i}
    background-color: var(--dynamicFBackground)
    height: list.nth($wertC, $i)
    width: list.nth($wertC, $i)
    left: random(1480) + px
    animation-delay: random(10) - 5 + s
    animation-duration: random(35) + 22 + s
@for $i from 1 through 9
  .bubbleOdd--#{$i}
    background-color: var(--dynamicGBackground)
    height: list.nth($wertD, $i)
    width: list.nth($wertD, $i)
    left: random(1480) + px
    animation-delay: random(20) - 5 + s
    animation-duration: random(35) +6 + s
@for $i from 10 through 19
  .bubbleOdd--#{$i}
    background-color: var(--dynamicHBackground)
    height: list.nth($wertA, $i)
    width: list.nth($wertA, $i)
    left: random(1480) + px
    animation-delay: random(16) - 5 + s
    animation-duration: random(24) +16 + s
@for $i from 20 through 24
  .bubbleOdd--#{$i}
    background-color: var(--dynamicABackground)
    height: list.nth($wertD, $i)
    width: list.nth($wertD, $i)
    left: random(1480) + px
    animation-delay: random(20) - 5 + s
    animation-duration: random(35) +6 + s
@for $i from 25 through 29
  .bubbleOdd--#{$i}
    background-color: var(--dynamicBBackground)
    height: list.nth($wertB, $i)
    width: list.nth($wertB, $i)
    left: random(1480) + px
    animation-delay: random(10) - 5 + s
    animation-duration: random(45) + 7 + s
@for $i from 30 through 39
  .bubbleOdd--#{$i}
    background-color: var(--dynamicCBackground)
    height: list.nth($wertD, $i)
    width: list.nth($wertD, $i)
    left: random(1480) + px
    animation-delay: random(10) - 10 + s
    animation-duration: random(55) + 3 + s
@for $i from 40 through 49
  .bubbleOdd--#{$i}
    background-color: var(--dynamicDBackground)
    height: list.nth($wertB, $i)
    width: list.nth($wertB, $i)
    left: random(1480) + px
    animation-delay: random(10) - 5 + s
    animation-duration: random(35) + 22 + s
  
